summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>2018-11-12 09:37:55 +0100
committerMike Gilbert <floppym@gentoo.org>2018-11-16 15:24:41 -0500
commit99b45c15a8fb13ce4bf1b0f606b1ec9071c57e4d (patch)
tree5159c1837cd4ee4cf820faae65c85a6da7acfe3c /app-accessibility
parentdev-libs/cyrus-sasl: dev-libs/cyrus-sasl: Fix detection of PostgreSQL library. (diff)
downloadgentoo-99b45c15a8fb13ce4bf1b0f606b1ec9071c57e4d.tar.gz
gentoo-99b45c15a8fb13ce4bf1b0f606b1ec9071c57e4d.tar.bz2
gentoo-99b45c15a8fb13ce4bf1b0f606b1ec9071c57e4d.zip
app-accessibility/speech-dispatcher: Fix dependency on dev-python/pyxdg.
Fixes: https://bugs.gentoo.org/670984 Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org> Signed-off-by: Mike Gilbert <floppym@gentoo.org>
Diffstat (limited to 'app-accessibility')
-rw-r--r--app-accessibility/speech-dispatcher/speech-dispatcher-0.8.1.ebuild6
-rw-r--r--app-accessibility/speech-dispatcher/speech-dispatcher-0.8.7.ebuild4
2 files changed, 5 insertions, 5 deletions
diff --git a/app-accessibility/speech-dispatcher/speech-dispatcher-0.8.1.ebuild b/app-accessibility/speech-dispatcher/speech-dispatcher-0.8.1.ebuild
index 8049784a56c..120aa60f8b4 100644
--- a/app-accessibility/speech-dispatcher/speech-dispatcher-0.8.1.ebuild
+++ b/app-accessibility/speech-dispatcher/speech-dispatcher-0.8.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -32,8 +32,8 @@ COMMON_DEPEND="python? ( ${PYTHON_DEPS} )
DEPEND="${COMMON_DEPEND}
>=dev-util/intltool-0.40.0
virtual/pkgconfig"
- RDEPEND="${COMMON_DEPEND}
- dev-python/pyxdg"
+RDEPEND="${COMMON_DEPEND}
+ python? ( dev-python/pyxdg[${PYTHON_USEDEP}] )"
src_configure() {
local myeconfargs=(
diff --git a/app-accessibility/speech-dispatcher/speech-dispatcher-0.8.7.ebuild b/app-accessibility/speech-dispatcher/speech-dispatcher-0.8.7.ebuild
index 7c27ba87a9d..8286f20c051 100644
--- a/app-accessibility/speech-dispatcher/speech-dispatcher-0.8.7.ebuild
+++ b/app-accessibility/speech-dispatcher/speech-dispatcher-0.8.7.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -33,7 +33,7 @@ DEPEND="${COMMON_DEPEND}
>=dev-util/intltool-0.40.0
virtual/pkgconfig"
RDEPEND="${COMMON_DEPEND}
- dev-python/pyxdg"
+ python? ( dev-python/pyxdg[${PYTHON_USEDEP}] )"
src_configure() {
# bug 573732